- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Type Struct Reference
Generic Value Type management

API to access values. More...

## Data Fields
unsigned int | version
| must be EINA_VALUE_TYPE_VERSION
unsigned int | value_size
| byte size of value
const char * | name
| name for debug and introspection
Eina_Bool(* | setup )(const Eina_Value_Type *type, void *mem)
| mem will be malloc(value_size) and should be configured
Eina_Bool(* | flush )(const Eina_Value_Type *type, void *mem)
| clear any values from mem
Eina_Bool(* | copy )(const Eina_Value_Type *type, const void *src, void *dst)
| how to copy values, both memory are `value_size`
int(* | compare )(const Eina_Value_Type *type, const void *a, const void *b)
| how to compare values, both memory are `value_size`
Eina_Bool(* | convert_to )(const Eina_Value_Type *type, const Eina_Value_Type *convert, const void *type_mem, void *convert_mem)
| how to convert values, both memory are `value_size`
Eina_Bool(* | convert_from )(const Eina_Value_Type *type, const Eina_Value_Type *convert, void *type_mem, const void *convert_mem)
| how to convert values, both memory are `value_size`
Eina_Bool(* | vset )(const Eina_Value_Type *type, void *mem, va_list args)
| how to set memory from variable argument
Eina_Bool(* | pset )(const Eina_Value_Type *type, void *mem, const void *ptr)
| how to set memory from pointer
Eina_Bool(* | pget )(const Eina_Value_Type *type, const void *mem, void *ptr)
| how to read memory

## Detailed Description

API to access values.

Since
  1.2

Examples:
  eina_value_03.c.